Subject: bug#32042: 26.1; python.el with ipython prompt leads to superfluous interactive shell output

From: Jaan Altosaar <[email-masked]>
Date: Mon, 2 Jul 2018 17:18:09 -0400

Thanks!

I installed gnureadline. I could not rename the readline.so file as the
file moved to the /System/Library path in Mac High Sierra.

FWIW I am not using the system python, but Anaconda 3 python (ipython
6.4.0).

Python 3.6.5 |Anaconda custom (64-bit)| (default, Apr 26 2018, 08:42:37).

Is there anything else I should try?

On Monday, July 2, 2018, Noam Postavsky <[email-masked]> wrote:

> merge 32042 25753
> quit
>
> Jaan Altosaar <[email-masked]> writes:
>
> >   File "<ipython-input-1-57ce0cd600e5>", line 1, in <module>
> >     import codecs, os;__pyfile =
> > codecs.open('''/var/folders/qr/s_h2rhqj6kdg8qrj0zw2scnw0000g
> n/T/pyLbk6Vh''',
> > encoding='''utf-8''');__code =
> > __pyfile.read().encode('''utf-8''');__pyfile.close();os.remo
> ve('''/var/folders/qr/s_h2rhqj6kdg8qrj0zw2scnw0000gn/T/
> pyLbk6Vh''');exec(compile(__code,
> > '''/Users/jaan/tmp/test.py''', 'exec'));
>
> > Is there any way to clean up the output, especially the parts involving
> > `codecs.open('''/var/folders/qr/s_h2rhqj6kdg8qrj0zw2scnw0000
> gn/T/pyLbk6Vh'''`?
>
> Try installing gnureadline, as described in etc/PROBLEMS:
>
>     *** In Inferior Python mode, input is echoed and native completion
> doesn't work.
>     <https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25753>
>
>     This happens when python uses a libedit based readline module, which
>     is the default on macOS.  This can be worked around by installing a
>     GNU readline based module instead, for example, using setuptools
>
>         sudo easy_install gnureadline
>
>     And then rename the system's readline so that it won't be loaded:
>
>         cd /Library/Frameworks/Python.framework/Versions/2.7/lib/python
> 2.7/lib-dynload
>         mv readline.so readline.so.bak
>
>     See <https://pypi.python.org/pypi/gnureadline> for more details on
>     installation.
>
>
>